<?php


namespace App\ViewModels\Formulario\PerguntaOpcoesViewModel;


use App\Utils\Builder;

class PerguntaOpcoesViewModelBuilder implements Builder
{
    protected $id_opcao_pergunta;
    protected $id_pergunta;

    public function setIdOpcaoPergunta(int $id_opcao_pergunta): PerguntaOpcoesViewModelBuilder
    {
        $this->id_opcao_pergunta = $id_opcao_pergunta;
        return $this;
    }

    public function setIdPergunta(int $id_pergunta): PerguntaOpcoesViewModelBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    public function build(): PerguntaOpcoesViewModel
    {
        $pergunta_opcoes_vm = new PerguntaOpcoesViewModel();
        $pergunta_opcoes_vm->setidopcaopergunta($this->id_opcao_pergunta);
        $pergunta_opcoes_vm->setidpergunta($this->id_pergunta);
        return $pergunta_opcoes_vm;
    }
}